Subject: Re: [PATCH 11/14] t3032-*.sh: Pass the -b (--binary) option to sed on cygwin

From: Johannes Sixt <[email-masked]>
Date: Fri, 17 Dec 2010 08:34:02 +0100

Am 12/16/2010 22:19, schrieb Ramsay Jones:
> Eric Sunshine wrote:
>> Your tool versions may indeed not be compatible with those of the 
>> netinstall environment [3]:
>>
>> $ sed --version
>> GNU sed version 4.2.1
>>
>> Unfortunately, the old --nocr is not recognized by modern GNU sed:
>>
>> $ sed --nocr
>> sed: unrecognized option `--nocr'
> 
> Yes. Like Johannes, I have sed version 3.02 on MinGW, but on cygwin
> I have sed version 4.1.5. See patch #14, where I introduce the
> SED_BIN_OPT variable to allow me to run the tests with SED_OPTIONS
> set to -c instead of -b.
> 
> [I thought I was unusual in having such an old sed version, but
> apparently not... ;-) ]

As far as I'm concerned, I'm not married to this old version, and I'll
update to a recent msysgit/MinGW environment RSN. So, in the long run,
your setup might turn out to be unusal ;-)

-- Hannes